---
global:
  repository: {{ onap_repository_principal }}
  dockerHubRepository: "{{ onap_repository_docker_hub }}"
  googleK8sRepository: "{{ onap_repository_k8s_google }}"
  elasticRepository: "{{ onap_repository_elastic }}"

  flavor: {{ onap_flavor }}
  masterPassword: gatingPassword
{% if onap_use_ingress %}
  ingress:
    enabled: true
{% endif %}
{% if onap_global_storage %}
  persistence:
    storageClass: "{{ onap_global_storage_class }}"
{% endif %}
{% if onap_use_metrics %}
  metrics:
    enabled: true
{% if onap_use_custom_resources_metrics %}
    custom_resources: true
{% endif %}
{% endif %}
{% if onap_global_storage and onap_global_storage_fast_class is defined %}
aaf:
  aaf-cass:
    persistence:
      storageClassOverride: "{{ onap_global_storage_fast_class }}"
  aaf-sms:
    aaf-sms-quorumclient:
      persistence:
        storageClassOverride: "{{ onap_global_storage_fast_class }}"
{% endif %}
{% if openstack_configuration_present or
     (onap_global_storage and onap_global_storage_fast_class is defined) %}
appc:
{% if openstack_configuration_present %}
  config:
    enableClustering: false
    openStackType: "OpenStackProvider"
    openStackName: "OpenStack"
    openStackKeyStoneUrl: {{ os_auth_url }}
    openStackServiceTenantName: {{ openstack_service_tenant_name }}
    openStackDomain: {{ clouds[openstack_user_name].auth.user_domain_name | default('Default') }}
    openStackUserName: {{ openstack_user_name }}
    openStackEncryptedPassword: "{{ encrypted_password }}"
{% endif %}
{% if onap_global_storage and onap_global_storage_fast_class is defined %}
  mariadb-galera:
    persistence:
      storageClassOverride: "{{ onap_global_storage_fast_class }}"
{% endif %}
{% endif %}
{% if onap_global_storage and onap_global_storage_fast_class is defined %}
cassandra:
  persistence:
    storageClassOverride: "{{ onap_global_storage_fast_class }}"
{% endif %}
{% if onap_global_storage and onap_global_storage_rwx_class is defined %}
cds:
  cds-blueprints-processor:
    persistence:
      storageClassOverride: "{{ onap_global_storage_rwx_class }}"
contrib:
  netbox:
    netbox-app:
      persistence:
        storageClassOverride: "{{ onap_global_storage_rwx_class }}"
{% endif %}
{% if onap_global_storage and onap_global_storage_fast_class is defined %}
dcaegen2:
  dcae-bootstrap:
    postgres:
      persistence:
        storageClassOverride: "{{ onap_global_storage_fast_class }}"
  dcae-dashboard:
    postgres:
      persistence:
        storageClassOverride: "{{ onap_global_storage_fast_class }}"
  dcae-inventory-api:
    postgres:
      persistence:
        storageClassOverride: "{{ onap_global_storage_fast_class }}"
  dcae-redis:
    persistence:
      storageClassOverride: "{{ onap_global_storage_fast_class }}"
{% endif %}
{% if onap_global_storage and onap_global_storage_rwx_class is defined %}
dcaemod:
  dcaemod-genprocessor:
    persistence:
      storageClassOverride: "{{ onap_global_storage_rwx_class }}"
{% endif %}
{% if onap_global_storage and onap_global_storage_fast_class is defined %}
dmaap:
  dmaap-bc:
    postgres:
      persistence:
        storageClassOverride: "{{ onap_global_storage_fast_class }}"
  dmaap-dr-prov:
    mariadb-galera:
      persistence:
        storageClassOverride: "{{ onap_global_storage_fast_class }}"
  message-router:
    message-router-kafka:
      persistence:
        storageClassOverride: "{{ onap_global_storage_fast_class }}"
    message-router-zookeeper:
      persistence:
        storageClassOverride: "{{ onap_global_storage_fast_class }}"
mariadb-galera:
  persistence:
    storageClassOverride: "{{ onap_global_storage_fast_class }}"
modeling:
  mariadb-galera:
    persistence:
      storageClassOverride: "{{ onap_global_storage_fast_class }}"
{% endif %}
{% if openstack_configuration_present %}
nbi:
  config:
    openStackRegion: {{ clouds[openstack_user_name].region_name }}
    openStackVNFTenantId: {{ tenant_id }}
    cloudOwner: {{ datacenter_owner }}
{% endif %}
{% if onap_global_storage and onap_global_storage_fast_class is defined %}
oof:
  music:
    music-cassandra:
      persistence:
        storageClassOverride: "{{ onap_global_storage_fast_class }}"
    zookeeper:
      persistence:
        storageClassOverride: "{{ onap_global_storage_fast_class }}"
{% endif %}
{% if openstack_configuration_present or onap_use_ingress %}
robot:
{% if openstack_configuration_present %}
  config:
    openStackEncryptedPasswordHere: "{{ robot_encrypted_password }}"
{% endif %}
{% if onap_use_ingress %}
  useIngressHost:
      enabled: true
{% endif %}
{% endif %}
{% if onap_global_storage and onap_global_storage_fast_class is defined %}
sdc:
  sdc-es:
    persistence:
      storageClassOverride: "{{ onap_global_storage_fast_class }}"
{% endif %}
{% if openstack_configuration_present %}
so:
  so-catalog-db-adapter:
    config:
      openStackUserName: {{ openstack_user_name }}
      openStackRegion: {{ clouds[openstack_user_name].region_name }}
      openStackKeyStoneUrl: {{ os_auth_url }}
      openStackServiceTenantName: {{ openstack_service_tenant_name }}
      openStackEncryptedPasswordHere: "{{ encrypted_password }}"
      openStackTenantId: {{ tenant_id }}
      openStackKeystoneVersion: "KEYSTONE_V3"
      openStackProjectDomainName:
        {{ clouds[openstack_user_name].auth.user_domain_name | default('Default') }}
      openStackUserDomainName:
        {{ clouds[openstack_user_name].project_domain_name | default('Default') }}
{% endif %}
{% if onap_global_storage and onap_global_storage_fast_class is defined %}
vfc:
  mariadb-galera:
    persistence:
      storageClassOverride: "{{ onap_global_storage_fast_class }}"
vid:
  mariadb-galera:
    persistence:
      storageClassOverride: "{{ onap_global_storage_fast_class }}"
vnfsdk:
  postgres:
    persistence:
      storageClassOverride: "{{ onap_global_storage_fast_class }}"
{% endif %}
